Bug 459446 - Tomboy quit and got SELinux denial
Tomboy quit and got SELinux denial
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: tomboy (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-18 19:35 EDT by Ed Avis
Modified: 2009-06-22 05:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 05:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Avis 2008-08-18 19:35:07 EDT
I installed a new Fedora 9 (x86_64) system and started using it.  The Tomboy icon appeared in the top menubar of the desktop but I did not click on it.  After a day or two I ran 'yum update' from a terminal window to get the latest packages.  Then some time after that I got a notification that Tomboy notes had quit and I should restart it.

On asking to restart, I saw the AVC denial icon showing four denials to /usr/bin/mono.  (AFAIK, I have not run any other mono-based programs since installing the system.)  The most recent AVC denial was:


Summary:

SELinux is preventing mono (unconfined_mono_t) "unix_read unix_write" to <Unknown>
(unlabeled_t).

Detailed Description:

SELinux denied access requested by mono. It is not expected that this access is
required by mono and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_mono_t:s0-s0:
                              c0.c1023
Target Context                system_u:object_r:unlabeled_t:s0
Target Objects                None [ sem ]
Source                        mono
Source Path                   /usr/bin/mono
Port                          <Unknown>
Host                          bad.membled.com
Source RPM Packages           mono-core-1.9.1-2.fc9
Target RPM Packages           
Policy RPM                    selinux-policy-3.3.1-84.fc9
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     bad.membled.com
Platform                      Linux bad.membled.com 2.6.25-14.fc9.x86_64 #1 SMP
                              Thu May 1 06:06:21 EDT 2008 x86_64 x86_64
Alert Count                   1
First Seen                    Mon 18 Aug 2008 12:27:44 AM BST
Last Seen                     Mon 18 Aug 2008 12:27:44 AM BST
Local ID                      1b7b38d6-3d4f-461d-bf9a-415304646ea5
Line Numbers                  

Raw Audit Messages            

host=bad.membled.com type=AVC msg=audit(1219015664.405:309): avc:  denied  { unix_read unix_write } for  pid=1563 comm="mono" key=1291878592 scontext=unconfined_u:unconfined_r:unconfined_mono_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unlabeled_t:s0 tclass=sem

host=bad.membled.com type=SYSCALL msg=audit(1219015664.405:309): arch=c000003e syscall=64 success=no exit=-13 a0=4d0080c0 a1=8 a2=180 a3=7fff07022c30 items=0 ppid=1 pid=1563 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="mono" exe="/usr/bin/mono" subj=unconfined_u:unconfined_r:unconfined_mono_t:s0-s0:c0.c1023 key=(null)
Comment 1 Bug Zapper 2009-06-09 22:30:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Ed Avis 2009-06-22 05:30:50 EDT
Assuming this is now fixed; I haven't seen it with F10 or F11.

Note You need to log in before you can comment on or make changes to this bug.